apiVersion: v1
data:
  CHE_API: https://codeready-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/api
  CHE_API_INTERNAL: http://che-host.update-crw-crwctl.svc:8080/api
  CHE_DEBUG_SERVER: "false"
  CHE_DEVWORKSPACES_ENABLED: "false"
  CHE_HOST: codeready-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com
  CHE_INFRA_KUBERNETES_NAMESPACE_DEFAULT: <username>-codeready
  CHE_INFRA_KUBERNETES_PVC_JOBS_IMAGE: registry.redhat.io/ubi8/ubi-minimal@sha256:c536d4c63253318fdfc1db499f8f4bb0881db7fbd6f3d1554b4d54c812f85cc7
  CHE_INFRA_KUBERNETES_PVC_PRECREATE__SUBPATHS: "true"
  CHE_INFRA_KUBERNETES_PVC_QUANTITY: 2Gi
  CHE_INFRA_KUBERNETES_PVC_STORAGE__CLASS__NAME: ""
  CHE_INFRA_KUBERNETES_PVC_STRATEGY: per-workspace
  CHE_INFRA_KUBERNETES_SERVER__STRATEGY: multi-host
  CHE_INFRA_KUBERNETES_SERVICE__ACCOUNT__NAME: che-workspace
  CHE_INFRA_KUBERNETES_SINGLEHOST_GATEWAY_CONFIGMAP__LABELS: app=che,component=che-gateway-config
  CHE_INFRA_KUBERNETES_SINGLEHOST_WORKSPACE_EXPOSURE: gateway
  CHE_INFRA_KUBERNETES_TRUST__CERTS: "true"
  CHE_INFRA_KUBERNETES_WORKSPACE__UNRECOVERABLE__EVENTS: Failed Scheduling,Failed
    to pull image
  CHE_INFRA_KUBERNETES_WORKSPACE_START_TIMEOUT_MIN: "10"
  CHE_INFRA_OPENSHIFT_OAUTH__IDENTITY__PROVIDER: openshift-v4
  CHE_INFRA_OPENSHIFT_TLS__ENABLED: "true"
  CHE_INFRASTRUCTURE_ACTIVE: openshift
  CHE_JDBC_URL: jdbc:postgresql://postgres:5432/dbche
  CHE_KEYCLOAK_AUTH__INTERNAL__SERVER__URL: http://keycloak.update-crw-crwctl.svc:8080/auth
  CHE_KEYCLOAK_AUTH__SERVER__URL: https://keycloak-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/auth
  CHE_KEYCLOAK_CLIENT__ID: codeready-public
  CHE_KEYCLOAK_REALM: codeready
  CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: "-1"
  CHE_LIMITS_WORKSPACE_IDLE_TIMEOUT: "900000"
  CHE_LOG_LEVEL: INFO
  CHE_METRICS_ENABLED: "true"
  CHE_MULTIUSER: "true"
  CHE_PORT: "8080"
  CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE: registry.redhat.io/codeready-workspaces/jwtproxy-rhel8@sha256:bc90b263f603b4aef0ed596d4d2a5bb0c2b5ac2c01682fa7578b3303e8333a37
  CHE_TRUSTED__CA__BUNDLES__CONFIGMAP: ca-certs-merged
  CHE_WEBSOCKET_ENDPOINT: wss://codeready-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/api/websocket
  CHE_WEBSOCKET_INTERNAL_ENDPOINT: ws://che-host.update-crw-crwctl.svc:8080/api/websocket
  CHE_WORKSPACE_DEVFILE__REGISTRY__INTERNAL__URL: http://devfile-registry.update-crw-crwctl.svc:8080
  CHE_WORKSPACE_DEVFILE__REGISTRY__URL: https://devfile-registry-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com
  CHE_WORKSPACE_HTTP__PROXY: ""
  CHE_WORKSPACE_HTTP__PROXY__JAVA__OPTIONS: ""
  CHE_WORKSPACE_HTTPS__PROXY: ""
  CHE_WORKSPACE_JAVA__OPTIONS: '-XX:MaxRAM=150m -XX:MaxRAMFraction=2 -XX:+UseParallelGC
    -XX:MinHeapFreeRatio=10 -XX:MaxHeapFreeRatio=20 -XX:GCTimeRatio=4 -XX:AdaptiveSizePolicyWeight=90
    -Dsun.zip.disableMemoryMapping=true -Xms20m -Djava.security.egd=file:/dev/./urandom '
  CHE_WORKSPACE_MAVEN__OPTIONS: '-XX:MaxRAM=150m -XX:MaxRAMFraction=2 -XX:+UseParallelGC
    -XX:MinHeapFreeRatio=10 -XX:MaxHeapFreeRatio=20 -XX:GCTimeRatio=4 -XX:AdaptiveSizePolicyWeight=90
    -Dsun.zip.disableMemoryMapping=true -Xms20m -Djava.security.egd=file:/dev/./urandom '
  CHE_WORKSPACE_NO__PROXY: ""
  CHE_WORKSPACE_PLUGIN__BROKER_ARTIFACTS_IMAGE: registry.redhat.io/codeready-workspaces/pluginbroker-artifacts-rhel8@sha256:28916ce33fc8926123c9d876f6529e688e5a83f0dadc8ee27a13bccf1fb85525
  CHE_WORKSPACE_PLUGIN__BROKER_METADATA_IMAGE: registry.redhat.io/codeready-workspaces/pluginbroker-metadata-rhel8@sha256:728a36a0a7d5ed2007414b7a4a45bf4d6103ed6021f3fc5da461a583ce995359
  CHE_WORKSPACE_PLUGIN__REGISTRY__INTERNAL__URL: http://plugin-registry.update-crw-crwctl.svc:8080/v3
  CHE_WORKSPACE_PLUGIN__REGISTRY__URL: https://plugin-registry-update-crw-crwctl.apps.cluster-7751.7751.sandbox1163.opentlc.com/v3
  JAVA_OPTS: '-XX:MaxRAMPercentage=85.0 '
  KUBERNETES_LABELS: app.kubernetes.io/component=codeready,app.kubernetes.io/instance=codeready,app.kubernetes.io/managed-by=codeready-operator,app.kubernetes.io/name=codeready
kind: ConfigMap
metadata:
  creationTimestamp: "2021-11-18T20:04:51Z"
  labels:
    app.kubernetes.io/component: codeready
    app.kubernetes.io/instance: codeready
    app.kubernetes.io/managed-by: codeready-operator
    app.kubernetes.io/name: codeready
  name: che
  namespace: update-crw-crwctl
  ownerReferences:
  - apiVersion: org.eclipse.che/v1
    blockOwnerDeletion: true
    controller: true
    kind: CheCluster
    name: codeready-workspaces
    uid: 655abee1-d095-421d-9d80-a7791bfec8c0
  resourceVersion: "371647"
  uid: c79184a2-710e-40f9-8d97-5638898efcaa
